CCuddNavigator.h File Reference
`#include <iterator>`
`#include <polybori/pbori_defs.h>`
`#include <polybori/common/tags.h>`
`#include <polybori/ring/CCuddInterface.h>`

Go to the source code of this file.

## Classes

class | polybori::CCuddNavigator
| This class defines an iterator for navigating through then and else branches of ZDDs. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Functions

CCuddNavigator | polybori::explicit_navigator_cast (CCuddNavigator::pointer_type ptr)

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-03-26

This file defines an iterator for navigating through then and else branches of Cudd decision diagrams.

Note
  : Tested for Cudd's ZDDs only.

Copyright:
  (c) 2006 by The PolyBoRi Team